# $Revision: 1.84 $, $Date: 2010/07/21 11:03:11 $
Summary:	Nasm is a free assembler for the 80x86 series of microprocessors
Summary(es.UTF-8):	Ensamblador de red
Summary(ja.UTF-8):	Intel風の文法を持つポータブルな x86 アセンブラ
Summary(pl.UTF-8):	Nasm jest darmowym asemblerem dla procesorów z serii 80x86
Summary(pt_BR.UTF-8):	O "Netwide Assembler"
Summary(ru.UTF-8):	Netwide Assembler, переносимый x86 ассемблер с Intel-подобным синтаксисом
Summary(uk.UTF-8):	Netwide Assembler, переносимий x86 асемблер з Intel-подібним синтаксисом
Name:		nasm
Version:	2.08.02
Release:	1
License:	BSD
Group:		Development/Tools
Source0:	http://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	2b0dfe9266491c14c4025f57c9cfd0f1
Patch0:		%{name}-info.patch
URL:		http://www.nasm.us/
BuildRequires:	perl-base
BuildRequires:	texinfo
Obsoletes:	nasm-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NASM is an 80x86 assembler designed for portability and modularity. It
supports a range of object file formats including Linux a.out and ELF,
COFF, Microsoft 16-bit OBJ and Win32. It will also output plain binary
files. Its syntax is designed to be simple and easy to understand,
similar to Intel's but less complex. It supports Pentium, P6 and MMX
opcodes, and has macro capability. It includes a disassembler as well.

%description -l es.UTF-8
Ensamblador de red.

%description -l pl.UTF-8
NASM jest asemblerem dla procesorów 80x86 skonstruowanym z myślą o
przenośności i modularności. Zawiera szeroką gamę obsługi obiektów, w
tym linuksowe a.out i ELF, COFF, 16-bitowe OBJ Microsoftu oraz Win32.
Dostajemy czysty wynikowy plik binarny. Składnia jest skonstruowana z
myślą o prostocie i łatwości zrozumienia, podobna do intelowskiej, ale 
mniej kompleksowa. Zawiera obsługę procesorów Pentium, P6 oraz MMX
opcode i ma macro capability. Zawiera także deassembler.

%description -l pt_BR.UTF-8
Este é o NASM, o "Netwide Assembler". o NASM é um assembler para a
familia x86 de processadores. Atualmente, ele sabe gerar binários
puros, a.out, COFF, ELF, Microsoft Win32 e 16 bits DOS, OS/2, as86, e
um formato "caseiro" chamado RDF.

%description -l ru.UTF-8
NASM - это Netwide Assembler, свободный переносимый ассемблер для
серии микропроцессоров Intel 80x86. Использует в основном традиционные
Интеловские мнемонику инструкций и синтаксис.

%description -l uk.UTF-8
NASM - це Netwide Assembler, вільний переносимий асемблер для серії
мікропроцесорів Intel 80x86. Використовує в основному традиційні
Інтелівські мнемоніку інструкцій та синтаксис.

%package rdoff
Summary:	Tools for the RDOFF binary format, sometimes used with NASM
Summary(pl.UTF-8):	Narzędzia do formatu binarnego RDOFF, czasem używane z NASM-em
Summary(ru.UTF-8):	Инструменты для бинарного формата RDOFF
Summary(uk.UTF-8):	Інструменти для бінарного формату RDOFF
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM). These tools
include linker, library manager, loader, and information dump.

%description rdoff -l pl.UTF-8
Narzędzia do niezależnego od systemu operacyjnego formatu binarnego
RDOFF, czasem używane z Netwide Assembler (NASM). Te narzędzia
zawierają linker, library manager, loader oraz information dump.

%description rdoff -l ru.UTF-8
Инструменты для независимого от операционной системы бинарного формата
RDOFF, который иногда используют с NASM. Эти инструменты включают
редактор связей, библиотечный менеджер, загрузчик и программу выдачи
информационнного дампа.

%description rdoff -l uk.UTF-8
Інструменти для незалежного від операційної системи бінарного формату
RDOFF, котрий іноді використовують з NASM. Ці інструменти включають
редактор зв'язків, бібліотечний менеджер, завантажувач та програму
видачі інформаційного дампу.

%prep
%setup -q
%patch0 -p1

%build
%configure

%{__make} -j1 all rdf

cd doc
%{__make} nasmdoc.texi
makeinfo nasmdoc.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_mandir}/man1}

%{__make} install install_rdf \
	INSTALLROOT=$RPM_BUILD_ROOT

install doc/nasm.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS README TODO
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_infodir}/nasm.info*
%{_mandir}/man?/*

%files rdoff
%defattr(644,root,root,755)
%doc rdoff/README
%attr(755,root,root) %{_bindir}/ldrdf
%attr(755,root,root) %{_bindir}/rdf2bin
%attr(755,root,root) %{_bindir}/rdf2com
%attr(755,root,root) %{_bindir}/rdf2ihx
%attr(755,root,root) %{_bindir}/rdf2ith
%attr(755,root,root) %{_bindir}/rdf2srec
%attr(755,root,root) %{_bindir}/rdfdump
%attr(755,root,root) %{_bindir}/rdflib
%attr(755,root,root) %{_bindir}/rdx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nasm.spec,v $
Revision 1.84  2010/07/21 11:03:11  dirdival
- updated to 2.08.02

Revision 1.83  2010/03/12 14:35:34  arekm
- up to 2.08.01

Revision 1.82  2009/08/01 18:40:23  arekm
- nasm license is now BSD

Revision 1.81  2009/07/26 11:55:48  arekm
- up to 2.07

Revision 1.80  2009/07/04 06:23:42  arekm
- up to 2.06

Revision 1.79  2008/11/02 12:06:39  arekm
- up to 2.05.01

Revision 1.78  2008/10/24 18:19:40  arekm
- up to 2.05

Revision 1.77  2008/06/19 21:03:20  adamg
- updated to 2.03.01

Revision 1.76  2008-05-28 17:33:02  qboosh
- updated to 2.02

Revision 1.75  2008-01-25 09:25:39  tommat
- up to 2.01

Revision 1.74  2008-01-24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.73  2007-12-11 17:46:04  shadzik
- up to 2.00

Revision 1.72  2007-11-01 21:49:32  qboosh
- updated to 0.99.05 (ndisasm works better now)

Revision 1.71  2007/09/10 22:29:15  qboosh
- updated to 0.99.02
- removed obsolete mmx patch (even more MMX-related fixes in sources)
- ndisasm still broken

Revision 1.70  2007/09/03 16:09:43  baggins
- rel 2

Revision 1.69  2007/08/05 23:00:26  qboosh
- added mmx patch
- release 1.1 (for testing)

Revision 1.68  2007/06/01 23:49:28  qboosh
- updated to 0.99.01

Revision 1.67  2007/05/26 20:19:15  qboosh
- updated to 0.99.00

Revision 1.66  2007/03/19 14:15:09  baggins
- release 4
- removed boguself patch, as it's the patch that's bogus
	(outputs incorrect ELF, testcase - debug info was wrong)

Revision 1.65  2007/03/06 13:43:54  spider
- rel++
- STBR

Revision 1.64  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:49:10  baggins
- converted to UTF-8

Revision 1.62  2005/04/29 12:41:34  pluto
- release 2 for Th.

Revision 1.61  2005/01/22 01:14:58  qboosh
- updated to 0.98.39, updated boguself2 patch, removed obsolete cpp_macros,overflow patches

Revision 1.60  2004/12/20 14:20:06  adamg
- added overflow.patch - fixes buffer overflow vulnerability - orignal advisory
  http://sourceforge.net/mailarchive/forum.php?thread_id=6166881&forum_id=4978
- release 2

Revision 1.59  2004/10/24 12:58:42  ankry
- pl fix

Revision 1.58  2004/10/24 12:16:15  paladine
- spelling fix

Revision 1.57  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.56  2004/06/06 09:20:18  adamg
- s/perl/perl-base/ in BuildRequires (thanks to darekr)

Revision 1.55  2004/04/27 09:19:29  pluto
- fixed url, new license.

Revision 1.54  2003/09/14 20:59:41  adamg
- updated to 0.98.38

Revision 1.53  2003/08/30 07:35:35  undefine
- cosmetics

Revision 1.52  2003/08/30 07:32:20  undefine
- update to 0.98.37

Revision 1.51  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.50  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.49  2003/05/25 05:50:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/03/15 13:28:07  areq
- 0.98.36

Revision 1.47  2002/09/18 00:21:49  qboosh
- added rdf2ihx utility, release 2

Revision 1.46  2002/09/17 02:36:08  kloczek
- (auto)updated to 0.98.35: bug fixes.

Revision 1.45  2002/08/06 02:53:00  kloczek
- updated to 0.98.34: bugfixes.

Revision 1.44  2002/05/21 21:27:05  kloczek
- release 2.

Revision 1.43  2002/05/21 20:42:33  qboosh
- info patch is back (updated)
- new %%doc

Revision 1.42  2002/05/21 16:24:24  kloczek
- merge translatins from KSI, Conectiva and Kondara.

Revision 1.41  2002/05/21 10:36:01  pioklo
- update to 0.98.32
- remove autoconf script from %%build section
- remove outdated patches
- fix %%doc and Source0
 -relase 1 ,STBR

Revision 1.40  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/19 22:16:43  qboosh
- updated URL, noted awful URLs with newer source versions...

Revision 1.37  2002/01/18 23:23:24  qboosh
- disasm0x81 patch - enable disassembling opcodes starting with 0x81
  (also, it seems to fix some segfaults connected with 0x68 and 0x69 opcodes)
- release 4

Revision 1.36  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/12/13 18:31:51  kloczek
- release 3.

Revision 1.34  2001/12/12 22:26:59  blues
- docs simplifications

Revision 1.33  2001/11/30 17:06:16  qrczak
- nasm-cpp_macros.patch: avoid #ifdef in a macro argument.
- Release 2.

Revision 1.32  2001/11/20 00:01:30  wrobell
- ver. 0.98.08
- fixed url and source
- 3dnow patch is obsoleted by this version

Revision 1.31  2001/10/11 13:20:40  qboosh
- fixes in pl translations, BuildRequires: autoconf

Revision 1.30  2001/09/24 09:34:20  kloczek
- reelase 10: new boguself patch from rawhide.

Revision 1.29  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.27  2001/05/06 10:59:37  kloczek
- relase 9: merge new version boguself patch from rawhide.

Revision 1.26  2001/04/18 21:46:13  kloczek
- release 8: merge boguself patch from rawhide.

Revision 1.25  2001/03/24 02:06:34  blues
- few translations

Revision 1.24  2001/02/10 16:21:20  kloczek
- release 7,
- added 3DNow patch from MDK wiht fixes dor handlin 3DNow instrucrion,
- added texinfo to BuildRequires.

Revision 1.23  2000/12/11 12:16:05  qboosh
- BuildRequires: perl

Revision 1.22  2000/10/11 19:22:05  kloczek
- release 6: use new rpm automation.

Revision 1.21  2000/06/19 11:09:57  kloczek
- release 5.

Revision 1.20  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/06/07 03:47:22  kloczek
- spec adapterized.

Revision 1.18  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.17  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.16  2000/04/12 10:28:24  kloczek
- removed files listed twice in %files.

Revision 1.15  2000/04/12 10:17:38  kloczek
- next typo.

Revision 1.14  2000/04/12 09:22:28  kloczek
- missing %doc in devel.

Revision 1.13  2000/04/12 05:40:49  kloczek
- typo.

Revision 1.12  2000/04/12 05:38:06  kloczek
- release 4,
- spec adapterized,
- added rdoff subackage and added "Obsoletes: nasm-doc" for allow upgrade
  from nasm from RH.

Revision 1.11  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.9  1999/09/12 15:05:55  kloczek
- release 3,
- simplifuication in %build,
- {un}register info pages with using /usr/sbin/fix-info-dir,
- unregistering info must be in %postun (not %preun}

Revision 1.8  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun  4 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.98-2]
- based on spec from RH contrib,
- rewrited to PLD coding style,
- added {un}registering info pages for nasm.
